Page MenuHomePhabricator

Prevent users from selecting the same source and target language for suggestions
Closed, ResolvedPublic

Description

Users should not be able to select "English > English" in the language selector for suggestions since it does not make sense.

In order to prevent that, we propose the same approach used for the new translation dialog selector (swapping the values to avoid the conflict):

  • Make sure that initially the source and target languages are different.
  • If the user tries to change the source language to the target value, swap the language values. That is, if the initial state is "English>Spanish" and the user selects Spanish as source, the result will be "Spanish>English".
  • If the user tries to change the target language to the source value, swap the language values. That is, if the initial state is "English>Spanish" and the user selects English as target, the result will be "Spanish>English".

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 11 2015, 1:06 PM
Amire80 triaged this task as Normal priority.Dec 13 2015, 9:29 PM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Dec 14 2015, 9:56 AM
Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 8:51 PM
Amire80 moved this task from CX8 to Bugs on the ContentTranslation board.Apr 20 2016, 1:09 PM
Pginer-WMF closed this task as Resolved.Mar 1 2018, 5:03 PM
Pginer-WMF claimed this task.